|  | Home · All Classes · Main Classes · Grouped Classes · Modules · Functions |

# QTableWidgetSelectionRange Class Reference
[QtGui module]

The QTableWidgetSelectionRange class provides a container for storing a selection range in a QTableWidget. More...

    #include <QTableWidgetSelectionRange>

- List of all members, including inherited members

### Public Functions

- QTableWidgetSelectionRange ()
- QTableWidgetSelectionRange ( int top, int left, int bottom, int right )
- QTableWidgetSelectionRange ( const QTableWidgetSelectionRange & other )
- ~QTableWidgetSelectionRange ()
- int bottomRow () const
- int leftColumn () const
- int rightColumn () const
- int topRow () const

## Detailed Description

The QTableWidgetSelectionRange class provides a container for storing a selection range in a QTableWidget.

The QTableWidgetSelectionRange class stores the top left and bottom right rows and columns of a selection range in a table. The selections in the table may consist of several selection ranges.

See also QTableWidget.

## Member Function Documentation

### QTableWidgetSelectionRange::QTableWidgetSelectionRange ()

Constructs the table selection range.

### QTableWidgetSelectionRange::QTableWidgetSelectionRange ( int top, int left, int bottom, int right )

Constructs the table selection range from the given top, left, bottom and right table rows and columns.

### QTableWidgetSelectionRange::QTableWidgetSelectionRange ( const QTableWidgetSelectionRange & other )

Constructs a the table selection range by copying the given other table selection range.

### QTableWidgetSelectionRange::~QTableWidgetSelectionRange ()

Destroys the table selection range.

### int QTableWidgetSelectionRange::bottomRow () const

Returns the bottom row of the range.

### int QTableWidgetSelectionRange::leftColumn () const

Returns the left column of the range.

### int QTableWidgetSelectionRange::rightColumn () const

Returns the right column of the range.

### int QTableWidgetSelectionRange::topRow () const

Returns the top row of the range.